Bulletin d'alerte Debian

DSA-1217-1 linux-ftpd -- Erreur de programmation

Date du rapport :
20 novembre 2006
Paquets concernés :
linux-ftpd
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 384454.
Dans le dictionnaire CVE du Mitre : CVE-2006-5778.
Plus de précisions :

Paul Szabo a découvert que le serveur FTP netkit changeait d'identifiant d'utilisateur trop tard, cela peut conduire au contournement des restrictions d'accès lors d'un fonctionnement sur NFS. Cette mise à jour ajoute également des vérifications de valeurs de retour aux appels setuid() qui peuvent échouer dans certaines configurations de PAM.

Pour la distribution stable (Sarge), ce problème a été corrigé dans la version 0.17-20sarge2.

Pour la prochaine distribution stable (Sarge), ce problème a été corrigé dans la version 0.17-22.

Pour la distribution instable (Sid), ce problème a été corrigé dans la versions 0.17-22.

Nous vous recommandons de mettre à jour votre paquet ftpd.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/l/linux-ftpd/linux-ftpd_0.17-20sarge2.dsc
http://security.debian.org/pool/updates/main/l/linux-ftpd/linux-ftpd_0.17-20sarge2.diff.gz
http://security.debian.org/pool/updates/main/l/linux-ftpd/linux-ftpd_0.17.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/linux-ftpd/ftpd_0.17-20sarge2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.